# class RubyProf::AggregateCallInfo

### Attributes

call_infos[R]

### Public Class Methods

new(call_infos) click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 6
    def initialize(call_infos)
      if call_infos.length == 0
        raise(ArgumentError, "Must specify at least one call info.")
      end
      @call_infos = call_infos
    end

### Public Instance Methods

called() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 47
    def called
      aggregate(:called)
    end

children() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 25
    def children
      call_infos.inject(Array.new) do |result, call_info|
        result.concat(call_info.children)
      end
    end

children_time() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 43
    def children_time
      aggregate_without_recursion(:children_time)
    end

line() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 21
    def line
      call_infos.first.line
    end

parent() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 17
    def parent
      call_infos.first.parent
    end

self_time() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 35
    def self_time
      aggregate_without_recursion(:self_time)
    end

target() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 13
    def target
      call_infos.first.target
    end

to_s() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 51
    def to_s
      "#{call_infos.first.target.full_name}"
    end

total_time() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 31
    def total_time
      aggregate_without_recursion(:total_time)
    end

wait_time() click to toggle source

    # File lib/ruby-prof/aggregate_call_info.rb, line 39
    def wait_time
      aggregate_without_recursion(:wait_time)
    end